const { useCallback, useState } = require("react");

const createInputHook = initialValue => {
  const { 0: value, 1: setValue } = useState(initialValue);

  return {
    onChange: useCallback(({ currentTarget }) => {
      setValue(currentTarget.value);
    }, []),
    value
  };
};

module.exports = createInputHook;
